Bug 264123 - [NEW PORT] mail/claws-mail-acpi_notifier - plugin for Claws Mail
Summary: [NEW PORT] mail/claws-mail-acpi_notifier - plugin for Claws Mail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-21 11:34 UTC by bsd
Modified: 2022-05-31 13:51 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
diff to add mail/claws-mail-acpi_notifier port (765 bytes, patch)
2022-05-21 11:34 UTC, bsd
bsd: maintainer-approval-
Details | Diff
diff to add mail/claws-mail-acpi_notifier port (fixed) (1.10 KB, patch)
2022-05-23 10:35 UTC, bsd
bsd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2022-05-21 11:34:44 UTC
Created attachment 234078 [details]
diff to add mail/claws-mail-acpi_notifier port

This port adds ACPI Notifier plugin for Claws Mail allowing mail notification via LED on some notebooks.

Plugin builds without errors, loads into Claws Mail.
Comment 1 bsd 2022-05-23 10:35:34 UTC
Created attachment 234141 [details]
diff to add mail/claws-mail-acpi_notifier port (fixed)

Patch to mail/Makefile included
Comment 2 bsd 2022-05-23 10:39:24 UTC
Comment on attachment 234078 [details]
diff to add mail/claws-mail-acpi_notifier port

Ignore - missing mail/Makefile patch, use newer patch
Comment 3 Chris Hutchinson 2022-05-30 04:46:18 UTC
Comment on attachment 234141 [details]
diff to add mail/claws-mail-acpi_notifier port (fixed)

Looks good, Tests good, Works good.

Approved.

Thanks!

Chris
Comment 4 commit-hook freebsd_committer 2022-05-31 13:51:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4dc618f360b7f68dd7eca02488edee4886c81cdc

commit 4dc618f360b7f68dd7eca02488edee4886c81cdc
Author:     Milan Obuch <bsd@dino.sk>
AuthorDate: 2022-05-31 13:17:38 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2022-05-31 13:40:40 +0000

    mail/claws-mail-acpi_notifier: Add new port

    This port adds ACPI Notifier plugin for Claws Mail allowing mail notification
    via LED on some notebooks.

    Approved by:    Chris Hutchinson <portmaster@bsdforge.com> (maintainer)
    PR:             264123

 mail/Makefile                                 | 1 +
 mail/claws-mail-acpi_notifier/Makefile (new)  | 8 ++++++++
 mail/claws-mail-acpi_notifier/pkg-descr (new) | 3 +++
 3 files changed, 12 insertions(+)
Comment 5 Juraj Lutter freebsd_committer 2022-05-31 13:51:38 UTC
Committed, thanks.